<div class="mb-3">
  <h3
    *ngIf="name"
    markdown
    [content]="name"
    [context]="context"
    [enumerator]="enumerator"
    [required]="block.required"
  ></h3>
  <p *ngIf="description" class="text-secondary" markdown [content]="description" [context]="context"></p>
  <div *ngFor="let button of block.props.buttons" class="form-check">
    <input
      type="radio"
      [id]="block.key(button.id)"
      [attr.aria-describedby]="explanation && block.key('explanation')"
      [checked]="block.isSelected(button)"
      (change)="block.select(button)"
      class="form-check-input"
    />
    <label [for]="block.key(button.id)" class="form-check-label"> {{ button.name }} </label>
  </div>
  <div
    *ngIf="explanation"
    class="form-text"
    [id]="block.key('explanation')"
    markdown
    [content]="explanation"
    [context]="context"
  ></div>
</div>
